EscriptDataset.h File Reference
`#include <weipa/weipa.h>`
`#include <ostream>`

Go to the source code of this file.

## Classes

struct | weipa::VarInfo
class | weipa::EscriptDataset
| Represents an escript dataset including a domain and data variables for one timestep. More...

## Namespaces

| escript
| weipa

## Typedefs

typedef std::vector< DataVar_ptr > | weipa::DataChunks
typedef std::vector< DomainChunk_ptr > | weipa::DomainChunks
typedef std::vector< VarInfo > | weipa::VarVector